Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IPopupMenu

All Known Implementing Classes:
  FPopupMenu

public interface IPopupMenu

Interface fuer PopupMenuEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer PopupMenuEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addPopupMenuListener(PopupMenuListener listener)` Fuegt dem Control den uebergebenen Listener als PopupMenuListener hinzu.
`String` | `getActionClassForPopupMenu()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PopupMenuEvent ausgeloest wurde.
`void` | `removePopupMenuListener(PopupMenuListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForPopupMenu(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PopupMenuEvent ausgeloest wurde.

Method Detail

### getActionClassForPopupMenu

    public String getActionClassForPopupMenu()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PopupMenuEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer PopupMenuEvent.

### setActionClassForPopupMenu

    public void setActionClassForPopupMenu(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PopupMenuEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer PopupMenuEvent.

### addPopupMenuListener

    public void addPopupMenuListener(PopupMenuListener listener)

  Fuegt dem Control den uebergebenen Listener als PopupMenuListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende PopupMenuListener.

### removePopupMenuListener

    public void removePopupMenuListener(PopupMenuListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD